package common

const (
	TOKEN_PRE   = "player_token_"
	TOKEN_Admin = "Admin_token_"
	ADMIN_V1    = "/pay/admin/api/v1"
	FRONT_V1    = "/api/v1"

	// 支付渠道枚举,1微信JSAPI，2微信H5，3微信app，4微信Native，5微信小程序，6支付宝网页&移动应用，7支付宝小程序，8支付宝JSAPI
	PAY_CHANNEL_UNKNOWN       = 0
	PAY_CHANNEL_WECHAT_JSAPI  = 1
	PAY_CHANNEL_WECHAT_H5     = 2
	PAY_CHANNEL_WECHAT_APP    = 3
	PAY_CHANNEL_WECHAT_NATIVE = 4
	PAY_CHANNEL_WECHAT_MINI   = 5
	PAY_CHANNEL_ALIPAY_WEB    = 6
	PAY_CHANNEL_ALIPAY_MINI   = 7
	PAY_CHANNEL_ALIPAY_JSAPI  = 8

	// 统一登陆信息
	ADMIN_USER_ID           = "User-Id"
	ADMIN_USER_NAME         = "User-Name"
	ADMIN_USER_INCLUDEUSERS = "Include-Users"

	// '订单状态，1待支付、2支付中、3支付成功、4支付失败、5订单关闭',
	ORDER_STATUS_WAITPAY = 1
	ORDER_STATUS_PAYING  = 2
	ORDER_STATUS_PAYED   = 3
	ORDER_STATUS_FAILED  = 4
	ORDER_STATUS_CLOSE   = 5

	STATUS_ENABLE   int32 = 1
	STATUS_DISABLED int32 = 2

	ORDER_TYPE_PAY    int32 = 1
	ORDER_TYPE_REFUND int32 = 2
)

var PayChannelList = map[int]string{
	PAY_CHANNEL_WECHAT_JSAPI:  "微信JSAPI",
	PAY_CHANNEL_WECHAT_H5:     "微信H5",
	PAY_CHANNEL_WECHAT_APP:    "微信app",
	PAY_CHANNEL_WECHAT_NATIVE: "微信Native",
	PAY_CHANNEL_WECHAT_MINI:   "微信小程序",
	PAY_CHANNEL_ALIPAY_WEB:    "支付宝网页&移动应用",
	PAY_CHANNEL_ALIPAY_MINI:   "支付宝小程序",
	PAY_CHANNEL_ALIPAY_JSAPI:  "支付宝JSAPI",
}

var OrderTypeList = map[int32]string{
	ORDER_TYPE_PAY:    "付款",
	ORDER_TYPE_REFUND: "退款",
}
